# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: welcome_changefreq
    category: CDev\XMLSitemap
    type: CDev\XMLSitemap\View\FormField\Select\ChangeFrequency
    orderby: 100
    value: daily
    translations: [{code: en, option_name: 'Welcome page'}]
    module: CDev\XMLSitemap
  - name: category_changefreq
    category: CDev\XMLSitemap
    type: CDev\XMLSitemap\View\FormField\Select\ChangeFrequency
    orderby: 200
    value: daily
    translations: [{code: en, option_name: 'Category page'}]
    module: CDev\XMLSitemap
  - name: product_changefreq
    category: CDev\XMLSitemap
    type: CDev\XMLSitemap\View\FormField\Select\ChangeFrequency
    orderby: 300
    value: daily
    translations: [{code: en, option_name: 'Product page'}]
    module: CDev\XMLSitemap
  - name: welcome_priority
    category: CDev\XMLSitemap
    type: XLite\View\FormField\Input\Text\FloatInput
    widgetParameters: {min: 0, max: 1, e: 1}
    orderby: 110
    value: 0.5
    translations: [{code: en, option_name: 'Priority for Welcome page', option_comment: 'The value should range from 0 to 1.'}]
    module: CDev\XMLSitemap
  - name: category_priority
    category: CDev\XMLSitemap
    type: XLite\View\FormField\Input\Text\FloatInput
    widgetParameters: {min: 0, max: 1, e: 1}
    orderby: 210
    value: 0.5
    translations: [{code: en, option_name: 'Priority for Category page', option_comment: 'The value should range from 0 to 1.'}]
    module: CDev\XMLSitemap
  - name: product_priority
    category: CDev\XMLSitemap
    type: XLite\View\FormField\Input\Text\FloatInput
    widgetParameters: {min: 0, max: 1, e: 1}
    orderby: 310
    value: 0.5
    translations: [{code: en, option_name: 'Priority for Product page', option_comment: 'The value should range from 0 to 1.'}]
    module: CDev\XMLSitemap
XLite\Model\LanguageLabel:
  - name: 'A sitemap is a way of organizing a website, identifying the URLs and the data under each section.'
    translations: [{code: en, label: 'A sitemap is a way of organizing a website, identifying the URLs and the data under each section. Previously, sitemaps were provided for users of a website. However, Google’s XML format was designed for search engines, allowing them to find the data faster and more efficiently.'}]
  - name: 'Generate sitemap'
    translations: [{code: en, label: 'Generate sitemap'}]
  - name: 'Site map has not been registred in X'
    translations: [{code: en, label: 'XML Sitemap failed to register in {{engine}}.'}]
  - name: 'Site map successfully registred on X'
    translations: [{code: en, label: 'XML Sitemap successfully registered in {{engine}}.'}]
  - name: 'Sitemap generation...'
    translations: [{code: en, label: 'Sitemap generation...'}]
  - name: 'Sitemap settings'
    translations: [{code: en, label: 'Sitemap settings'}]
  - name: 'The process of sitemap generation may take a while to complete. Please do not close this page until the process is fully completed.'
    translations: [{code: en, label: 'The process of sitemap generation may take a while to complete. Please do not close this page until the process is fully completed.'}]
  - name: 'XML sitemap URL:'
    translations: [{code: en, label: 'XML sitemap URL:'}]
  - name: 'Generate XML-Sitemap'
    translations: [{code: en, label: 'Generate XML Sitemap'}]
  - name: 'Sitemap generation has been completed successfully.'
    translations: [{code: en, label: 'XML Sitemap generation has been completed successfully.'}]
  - name: 'Sitemap generation has been stopped.'
    translations: [{code: en, label: 'Sitemap generation has been stopped.'}]
  - name: 'Submit to Google'
    translations: [{code: en, label: 'Submit to Google'}]
  - name: 'Frequency of content renewal'
    translations: [{code: en, label: 'Frequency of content renewal'}]
XLite\Model\Task:
  - owner: CDev\XMLSitemap\Core\Task\GenerateSitemap
